Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596989 - no response for operation on rhel3 during dd
Summary: no response for operation on rhel3 during dd
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 21:13 UTC by Glauber Costa
Modified: 2016-11-24 15:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 555649
Environment:
Last Closed: 2010-06-23 14:35:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 RHEL Product and Program Management 2010-05-28 11:55:27 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Glauber Costa 2010-06-21 18:31:10 UTC
Okay. I've been able to track it down to an unexplainable buggy return from preadv. Also, I checked what the kernel was doing and... it wasn't doing anything.

Searching on the archives, shows that rjones already hit a similar issue. He managed to circumvent it for libguestfs, but here, we should really have it fixed.

We have two options:
1) use the kernel preadv/pwritev directly, but the last time it was raised in qemu, it got more or less of a nack ( and I disagree as well)
2) poke hard to get it fixed for RHEL6.

for now, I am changing this bug to libc.

Comment 4 Glauber Costa 2010-06-22 14:55:29 UTC
Note this is the same bug as described in rawhide's #563103

Comment 6 Glauber Costa 2010-06-23 14:35:04 UTC
Ok, not an issue in RHEL6, just tested.
My system was a mixture of some upstream components, with RHEL6 versions of the virtualization stack pieces.

As glibc maintainer kindly told me, RHEL6 glibc's just calls the kernel. Testing in a pure RHEL6 system did not show the problem.


Note You need to log in before you can comment on or make changes to this bug.